Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ServerTypeInfo

    java.lang.Object
      net.hyperic.hq.product.TypeInfo
          net.hyperic.hq.product.ServerTypeInfo

All Implemented Interfaces:
  java.lang.Cloneable

public class ServerTypeInfo
extends TypeInfo
implements java.lang.Cloneable

Field Summary

Fields inherited from class net.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`ServerTypeInfo()`
`ServerTypeInfo(java.lang.String name, java.lang.String description, java.lang.String version)`

Method Summary
`java.lang.Object` `clone()`
`java.lang.String` `getDescription()`
`int` `getType()`
`java.lang.String[]` `getValidPlatformTypes()`
`java.lang.String` `getVersion()` Get the version for a server
`boolean` `isVirtual()`
`void` `setDescription(java.lang.String description)`
`void` `setValidPlatformTypes(java.lang.String[] validPlatformTypes)`
`void` `setVersion(java.lang.String version)`
`void` `setVirtual(boolean isVirtual)`
`java.lang.String` `toString()`

Methods inherited from class net.hyperic.hq.product.TypeInfo
`equals, formatName, getFormattedName, getName, getPlatformTypes, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerTypeInfo

    public ServerTypeInfo()

### ServerTypeInfo

    public ServerTypeInfo(java.lang.String name,
                          java.lang.String description,
                          java.lang.String version)

Method Detail

### clone

    public java.lang.Object clone()

### isVirtual

    public boolean isVirtual()

### setVirtual

    public void setVirtual(boolean isVirtual)

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### getVersion

    public java.lang.String getVersion()

  Description copied from class: `TypeInfo`
  Get the version for a server

  Overrides:
    `getVersion` in class `TypeInfo`

### setVersion

    public void setVersion(java.lang.String version)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getValidPlatformTypes

    public java.lang.String[] getValidPlatformTypes()

### setValidPlatformTypes

    public void setValidPlatformTypes(java.lang.String[] validPlatformTypes)

### toString

    public java.lang.String toString()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.